package com.ruoyi.traceability.service;

import java.util.List;
import com.ruoyi.traceability.domain.ProMqUpload;

/**
 * 模切数据上传Service接口
 * 
 * @author wenjy
 * @date 2022-11-18
 */
public interface IProMqUploadService 
{
    /**
     * 查询模切数据上传
     * 
     * @param id 模切数据上传主键
     * @return 模切数据上传
     */
    public ProMqUpload selectProMqUploadById(Long id);

    /**
     * 查询模切数据上传列表
     * 
     * @param proMqUpload 模切数据上传
     * @return 模切数据上传集合
     */
    public List<ProMqUpload> selectProMqUploadList(ProMqUpload proMqUpload);

    /**
     * 新增模切数据上传
     * 
     * @param proMqUpload 模切数据上传
     * @return 结果
     */
    public int insertProMqUpload(ProMqUpload proMqUpload);

    /**
     * 修改模切数据上传
     * 
     * @param proMqUpload 模切数据上传
     * @return 结果
     */
    public int updateProMqUpload(ProMqUpload proMqUpload);

    /**
     * 批量删除模切数据上传
     * 
     * @param ids 需要删除的模切数据上传主键集合
     * @return 结果
     */
    public int deleteProMqUploadByIds(String ids);

    /**
     * 删除模切数据上传信息
     * 
     * @param id 模切数据上传主键
     * @return 结果
     */
    public int deleteProMqUploadById(Long id);
}
